<!--
 %Z%%M% %I% %W% %G% %U%
===========================================================================
Licensed Materials - Property of IBM
All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.

5724-S24
(C) Copyright IBM Corp. 2010
===========================================================================
-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"><%@page
	language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>

<%@page import="javax.security.auth.Subject"%>
<%@page import="com.ibm.websphere.security.auth.WSSubject" %>

<%@page import="java.util.Set"%>
<%@page import="com.ibm.websphere.security.cred.WSCredential"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Collections"%>
<%@page import="java.util.Iterator"%><html>
<head>
<link rel="stylesheet" href="images/style.css" type="text/css">
<title>Runtime Security Services Entitlements Test</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="GENERATOR"
	content="Rational Software Architect for WebSphere Software">
</head>
<body>
<%
        String userId = "none";
        if (request.getUserPrincipal() != null ) {
                userId = request.getUserPrincipal().getName();
                System.out.println("request.getUserPrincipal().getName() = " + userId );
        }
        if (userId == null ) {
                userId = WSSubject.getCallerPrincipal();
                if (userId == null){
                	userId = "none";
                }
        }
        //try to get the groups here from the subject
        String realm = "";
        List groupList = Collections.EMPTY_LIST;
        Subject subject = WSSubject.getCallerSubject();
        if (subject != null){
        	Set credSet= subject.getPublicCredentials(WSCredential.class);
        	if (credSet != null && credSet.size() == 1){
        		WSCredential creds = (WSCredential) credSet.iterator().next();
        		groupList = creds.getGroupIds();
        		realm = creds.getRealmSecurityName();
        		if (groupList == null){
        			groupList = Collections.EMPTY_LIST;
        		}
        	}
        }
        
        Iterator igroup = groupList.iterator();
        String groups = "";
        while (igroup.hasNext()){
   	       groups += igroup.next().toString();
   	       if (igroup.hasNext()){
   	         groups += " :REALM: + " + realm +", ";
   	       }
        }
 %>
<div id="wrap">
<div id="header">
<h1>Entitlements tests</h1>
</div>
UserName: <%=userId%>
<br>
Group(s):<%=groups%>
<hr/>
<form method="post" action="performAuthz" >
<h2>RTSS server endpoint:</h2><br> 
<b>http://</b><input type="text" name="host" size="30" value="localhost"><b>:</b>
<input type="text" name="port" value="9080" size="5"><b>/rtss/authz/services/AuthzService</b>
<br><br>
<hr>
<h2>Authentication to the RTSS service (Http basic authentication will be used to access
the web service):</h2>
<br>
Username: <input type="text" name="rtssadmin" value="wasadmin"><br>
Password: <input type="password" name="rtsspassword"><br>
<hr>
<br>
<h3><b>Application name (or context): authzSvcSampleID</b></h3>
<input type="hidden" name="context" value="authzSvcSampleID" />
<input type="hidden" name="testType" value="entitlements"/>
<hr>
<h3>Decission type</h3>
<input type="radio" name="decissionType" value="Permit" checked="checked">Permit<br>
<input type="radio" name="decissionType" value="Deny" >Deny<br>

<input type="hidden" name="redirectUrl" value="EntitlementsTest.jsp" />
<input type="submit" value="Submit" />
<input type="reset" value="Clear" />
</form>
<br>
<form method="post" action="ibm_security_logout" name="logout">
<input class="btn2" type="submit" name="logout" value="Logout">
<input type="hidden" name="logoutExitPage" value="login.jsp">
</form>
</div>
</body>
</html>