<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"
%>
<%@ taglib uri="/WEB-INF/tld/engine.tld" prefix="wps"  %>  
<%@ taglib uri="http://ibm.com/rtss/taglibs/1.0/authz" prefix="tspm" %> 
<wps:constants/>  
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Portfolio</title>
<script src='<%= wpsBaseURL %>/jk/SpryCollapsiblePanel.js' type="text/javascript"></script>
<link href='<%= wpsBaseURL %>/jk/portfolio.css' rel="stylesheet" type="text/css" />
<script type="text/javascript">
<!--

function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
//-->
</script>
</head>
<!-- 
	Normally it's not necessary to have two context tags.  
	This is to test multi-context support and how multiple contexts
	for the same service can be used with different user attributes
	to get different authorization results.
-->
<tspm:context id="ctx1" serviceId="http://jk.com/finance" entitlement="false">
	<tspm:environments id="deploymentType">
		<tspm:attribute value="j2ee"/>
	</tspm:environments>
	<tspm:environments id="location">
		<!-- an attribute can have multiple values -->
		<tspm:attribute value="USA"/>
		<tspm:attribute value="TX"/>
	</tspm:environments>
</tspm:context>	
<tspm:context id="ctx2" serviceId="http://jk.com/finance">
	<tspm:resources id="applicationType">
		<tspm:attribute value="financialServices"/>
	</tspm:resources>
</tspm:context>
<body>
<div id="ClientSearchPanel" class="CollapsiblePanel">
  <div class="CollapsiblePanelTab" tabindex="0">Client Search</div>
  <div class="CollapsiblePanelContent">
<tspm:authorize contextId="ctx2" action="view" resourceId="urn:jk:finance:portfolio:clientSearch">
  <form name="form" id="form">
  <div id="searchBy">
  Search user by<br/>
  <select name="searchByMenu" id="searchByMenu" onchange="MM_jumpMenu('parent',this,0)">
    <option>Name</option>
    <option>Phone number</option>
    <option>SSN (last four digits)</option>
  </select>
  </div>
  <div id="searchFor">
  Search for<br/>
  <input name="searchValue" type="text" /><input name="searchUser" type="button" value="Go" />
  </div>
  </form>
   <table id="users">
  <tr>
    <td>Jack</td>
    <td>Bauer</td>
    <td>xxx-xx-3433</td>
    <td>1600 Scolfield Ridge Pkwy, Austin, TX 78727</td>
  </tr>
  <tr>
    <td>Sally</td>
    <td>Bauer</td>
    <td>xxx-xx-1221</td>
    <td>1511 Burnet Rd, Austin, TX 78750</td>
  </tr>
  <tr>
    <td>Will</td>
    <td>Bauer</td>
    <td>xxx-xx-3433</td>
    <td>3324 Raging River, Austin, TX 78728</td>
  </tr>
</table>
</tspm:authorize>
<tspm:deny contextId="ctx2" action="view" resourceId="urn:jk:finance:portfolio:clientSearch">
You are not authorized to search other clients.
</tspm:deny>
</div>
</div>
<h4>Selected User: Jack Bauer</h4>
<p>
<tspm:authorize contextId="ctx1" action="view" resourceId="urn:jk:finance:portfolio:userMenu">
<a href="">Trade Stocks</a>		<a href="">Trade MutualFunds</a>	<a href="">Trade CDs & Bonds</a>	<a href="">Exchange Investment</a>	<a href="">Cash Withdawal</a>
</tspm:authorize>
<tspm:authorize contextId="ctx1" action="view" resourceId="urn:jk:finance:portfolio:advisorMenu">
<a href="">Process Purchase Request</a>		<a href="">Process Exchange Request</a>	<a href="">Process Withdrawal Request</a>
</tspm:authorize>

</p>
<div id="InvestmentsPanel" class="CollapsiblePanel">
  <div class="CollapsiblePanelTab" tabindex="0">Investments</div>
  <div class="CollapsiblePanelContent">

  <table id="investments">
  <tr>
    <td class="header" width="40%"></td>
    <td class="header" width="14%">Shares</td>
    <td class="header" width="14%">Share Price</td>
    <td class="header" width="14%">$ Change</td>
    <td class="header" width="14%">Balance</td>
  </tr>
  <tr>
    <td><a href="#">REIT Index</a></td>
    <td>673.909</td>
    <td>$9.01</td>
    <td><font color="#009900">+0.15</font></td>
    <td>$613.95</td>
  </tr>
  <tr>
    <td><a href="#">European Stock Index</a></td>
    <td>2983.22</td>
    <td>$1.01</td>
    <td><font color="#FF0000">-0.17</font></td>
    <td>$3017.94</td>
  </tr>
  <tr>
    <td><a href="#">New World Fund</a></td>
    <td>6.501</td>
    <td>$39.39</td>
    <td><font color="#FF0000">-0.20</font></td>
    <td>$256.07</td>
  </tr>
  <tr>
    <td><a href="#">Pacific Stock Index Fund</a></td>
    <td>3067.334</td>
    <td>$0.86</td>
    <td><font color="#009900">+0.11</font></td>
    <td>$2657.50</td>
  </tr>
  <tr>
    <td>Total</td>
    <td></td>
    <td></td>
    <td></td>
    <td class="total">$6545.46</td>
  </tr>
  </table>
</div>
</div>
<script type="text/javascript">
var ClientSearchPanel = new Spry.Widget.CollapsiblePanel("ClientSearchPanel");
var InvestmentsPanel = new Spry.Widget.CollapsiblePanel("InvestmentsPanel");
</script>
</body>
</html>