<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"
    import="java.security.*, com.ibm.sec.authz.jaccplus.ApplicationPermission, java.io.*, java.util.*, com.ibm.tscc.rtss.taglib.* "%>
<%@ taglib uri="/WEB-INF/tld/engine.tld" prefix="wps"  %>  
<%@ taglib uri="http://ibm.com/rtss/taglibs/1.0/authz" prefix="tspm" %> 

<wps:constants/>  
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Research Investments</title>
<script src='<%= wpsBaseURL %>/jk/SpryCollapsiblePanel.js' type="text/javascript"></script>
<link href='<%= wpsBaseURL %>/jk/research.css' rel="stylesheet" type="text/css" />
<script type="text/javascript">
<!--

function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
//-->
</script>
<%
	Map links = new HashMap();
	links.put(new ApplicationPermission("urn:jk:finance:research:strategies:basicFundamental","invoke"),
			"Basic Fundamental Analysis");
	links.put(new ApplicationPermission("urn:jk:finance:research:strategies:basicQualitative","invoke"),
			"Basic Qualitative Analysis");
	links.put(new ApplicationPermission("urn:jk:finance:research:strategies:advancedFundamental","invoke"),
			"Advanced Fundamental Analysis");
	links.put(new ApplicationPermission("urn:jk:finance:research:strategies:advancedQualitative","invoke"),
			"Advanced Qualitative Analysis");
	links.put(new ApplicationPermission("urn:jk:finance:research:strategies:technical","invoke"),
			"Technical Analysis");
	
%>
</head>
<!--  this context tests entitlement and user attributes -->
<tspm:context id="ctx2" serviceId="http://jk.com/finance" entitlement="true">
	<!-- 
		Testing different attribute types.  The attributes used here
		can be included in the authorization policies. 
	-->
	<tspm:subjects id="targetAudience">
		<!-- this application can be used by external customers -->
		<tspm:attribute value="externalUsers"/>
	</tspm:subjects>
	<tspm:actions id="accessType">
		<!-- this application can be accessed via the internet -->
		<tspm:attribute value="web"/>
	</tspm:actions>
</tspm:context>
<body>
<div id="StrategiesPanel" class="CollapsiblePanel">
  <div class="CollapsiblePanelTab" tabindex="0">Strategies</div>
  <div class="CollapsiblePanelContent">
  <p>
  <%
  	Context ctx = (Context)pageContext.getAttribute("ctx2", PageContext.PAGE_SCOPE);
  	PermissionCollection myEnt = ctx.getEntitlement();
  	System.out.println("myEnt:"+myEnt);
  	
  	if(myEnt!=null){
  		Iterator keys = links.keySet().iterator();
  		String name;
  		while(keys.hasNext()){
  			Permission perm = (Permission)keys.next();
  			name = (String)links.get(perm);
  			if(myEnt.implies(perm)){ 				
  %>
  				<a href=""><%= name  %></a><br/>
  <% 						
  			}else{
  %>
  				<%= name %><br/>
  <% 				
  			}
  		}
  	}
  %>
  </p>
  <tspm:authorize contextId="ctx2" action="view" resourceId="urn:jk:finance:research:upgrade">
  <p class="upgrade">
  <a href="">Upgrade membership</a><br/>
  </p>
  </tspm:authorize>
  </div>
</div>
<div id="MarketUpdatePanel" class="CollapsiblePanel">
  <div class="CollapsiblePanelTab" tabindex="0">Market Update</div>
  <div class="CollapsiblePanelContent"><img src='<%= wpsBaseURL %>/jk/market.jpg' width="284" height="286" alt="market update" />
  </div>
</div>
<script type="text/javascript">
<!--
var StrategiesPanel = new Spry.Widget.CollapsiblePanel("StrategiesPanel");
var MarketUpdatePanel = new Spry.Widget.CollapsiblePanel("MarketUpdatePanel");
//-->
</script>
</body>
</html>